Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface PSVIProvider

All Known Implementing Classes:
  AbstractSAXParser

Deprecated. The interface may be updated or replaced.

public interface PSVIProvider

This interface provides access to the post schema validation infoset for an API that provides streaming document infoset, such as SAX, XNI, and others.

For implementations that would like to provide access to the PSVI in a streaming model, a parser object should also implement `PSVIProvider` interface. Within the scope of the methods handling the start and end of an element, applications may use the `PSVIProvider` to retrieve the PSVI related to that element and its attributes.

Method Summary
`org.apache.xerces.xni.psvi.AttributePSVI` | `getAttributePSVI(int index)` Deprecated. Provides `AttributePSVI` given the index of an attribute information item in the current element's attribute list.
`org.apache.xerces.xni.psvi.AttributePSVI` | `getAttributePSVIByName(java.lang.String uri, java.lang.String localname)` Deprecated. Provides `AttributePSVI` given namespace and localname of an attribute information item in the current element's attribute list.
`org.apache.xerces.xni.psvi.ElementPSVI` | `getElementPSVI()` Deprecated. Provides the post schema validation item for the current element information item.

Method Detail

### getElementPSVI

    public org.apache.xerces.xni.psvi.ElementPSVI getElementPSVI()

  Deprecated.
  Provides the post schema validation item for the current element information item. The method must be called by an application while in the scope of a document handler start/end element calls. If this methods is called from other document handler methods, the return value is undefined.
  Returns:
    The post schema validation infoset for the current element. If an element information item is valid then in the post-schema-validation infoset the following properties must be available for the element information item: The following properties are available in the scope of a document handler `startElement`: {element declaration}, {validation context}, {notation}. The {schema information} property is available for the validation root. The {error codes} property is available if any errors occured during validation. The following properties are available in the scope of a document handler `endElement`: {nil}, {schema specified}, {normalized value},{ member type definition}, {validity}, {validation attempted} . If the declaration has a value constraint, the property {schema default} is available. The {error codes} property is available if any errors occured during validation. Note: some processors may choose to provide all the PSVI properties in the scope of the `endElement`.

### getAttributePSVI

    public org.apache.xerces.xni.psvi.AttributePSVI getAttributePSVI(int index)

  Deprecated.
  Provides `AttributePSVI` given the index of an attribute information item in the current element's attribute list. The method must be called by an application while in the scope of a document handler `startElement` call.
  Parameters:
    `index` - The attribute index
  Returns:
    The post schema validation properties of the attribute.

### getAttributePSVIByName

    public org.apache.xerces.xni.psvi.AttributePSVI getAttributePSVIByName(java.lang.String uri,
                                                                           java.lang.String localname)

  Deprecated.
  Provides `AttributePSVI` given namespace and localname of an attribute information item in the current element's attribute list. The method must be called by an application while in the scope of a document handler `startElement` call.
  Parameters:
    `uri` - The namespace of an attribute
    `localname` - The local name of an attribute
  Returns:
    The post schema validation properties of the attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.